Summary:	Tool to get info on LTSP terminals
Name:		ltspinfod
Version:	0.1
Release:	%mkrel 2
License:	GPL
Group:		System/Servers
URL:		http://www.ltsp.org
Source0:	http://www.ltsp.org/tarballs/%{name}-%{version}.tar.bz2
BuildRequires:	uClibc-popt-devel
BuildRequires:	uClibc-devel
BuildRequires:	uClibc-static-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
This daemon will run on a workstation, listening on a port (9200) for a command
to run. Initially, the first command will be a 'get' command, for retrieving
configuration things, like the sound daemon entry.

%prep

%setup -q -n %{name}-%{version}

%build
uclibc gcc -Os -Wl,-Bstatic -L%{_prefix}/%{_target_cpu}-linux-uclibc/usr/lib \
    -o %{name} %{name}.c %{_prefix}/%{_target_cpu}-linux-uclibc/usr/lib/libpopt.a

%install
rm -rf %{buildroot}

install -d %{buildroot}/sbin
install -m0755 %{name} %{buildroot}/sbin/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING
%attr(0755,root,root) /sbin/%{name}




%changelog
* Thu Jan 03 2008 Olivier Blin <oblin@mandriva.com> 0.1-2mdv2008.1
+ Revision: 140933
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Mar 05 2007 Oden Eriksson <oeriksson@mandriva.com> 0.1-2mdv2007.0
+ Revision: 133033
- really build it statically...

* Wed Feb 07 2007 Oden Eriksson <oeriksson@mandriva.com> 0.1-1mdv2007.1
+ Revision: 117103
- Import ltspinfod

* Fri Sep 29 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1-1mdk
- initial Mandriva package (mille-xterm import)

